Vulnerability CVE-2005-3646


Published: 2005-11-17   Modified: 2012-02-12

Description:
Multiple SQL injection vulnerabilities in lib-sessions.inc.php in phpAdsNew and phpPgAds 2.0.6 and possibly earlier versions allow remote attackers to execute arbitrary SQL commands via the sessionID parameter in (1) logout.php and (2) index.php.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
Multiple vulnerabilities in phpAdsNew
Toni Koivunen
11.11.2005
Med.
phpAdsNew SQL Injection Vulnerabilities
Kevin Fernandez
11.11.2005

Type:

CWE-89

(Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection'))

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.5/10
6.4/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Phppgads -> Phppgads 
Phpadsnew -> Phpadsnew 

 References:
http://www.securityfocus.com/bid/15385/
http://secunia.com/advisories/17464/
http://xforce.iss.net/xforce/xfdb/23044
http://www.zone-h.org/en/advisories/read/id=8413/
http://www.vupen.com/english/advisories/2005/2380
http://www.osvdb.org/20745
http://www.osvdb.org/20744
http://www.fitsec.com/advisories/FS-05-01.txt
http://sourceforge.net/project/shownotes.php?group_id=36679&release_id=370942
http://securitytracker.com/id?1015193
http://securityreason.com/securityalert/172
http://securityreason.com/securityalert/171
http://secunia.com/advisories/17579
http://seclists.org/lists/bugtraq/2005/Nov/0189.html
http://marc.theaimsgroup.com/?l=bugtraq&m=113165036315035&w=2

Copyright 2022, cxsecurity.com

 

Back to Top